% written by I.Zagorodnov, DESY, 2005
% the bunch shape can be arbitrary
clear all; hold off;
pause off;
PhysConsts;

% pipe 
a=5e-3; %m radius
L=1 %m length

%conductivity=1.9e+6;    t=2.4e-15; %kicker
conductivity=3.66e+7; t=7.1e-15; %aluminium Dohlus
%conductivity=5.8e+7;    t=2.46e-14; %copper Dohlus
%conductivity=2.78e+7;    t=2.46e-14; %BeCu
%conductivity=1.4e+6;    t=2.4e-15; %stainless steel 304
%conductivity=0.6e+6; t=0; %titanium
roughness=600e-9;
oxid=5e-9;

% bunch shape 
% sigma=25e-6; %m 
% q=1000; %in pC!!!
% dx=0.01;xb(:,1)=[-5:dx:100]*sigma; yb(:,1)=gauss(xb,sigma);

% (can be arbitrary)
current=load('current.txt'); q=Int0(current(:,1),current(:,2))/c; 
data=flipud(current);  xb=-data(:,1);yb=data(:,2)/(c*q);
q=q*1e12; %C->pC
n=length(xb);ds=xb(2)-xb(1);xb=[xb' [1:1000]*ds+xb(n)]';yb=[yb' [1:1000]*0]';

% roughness and axid layer are here 
eps_r=2;
Ind=mue0*((eps_r-1)/eps_r*oxid+0.01035*roughness);
% the result is in V
res1=ResistiveZaZb(xb,yb,a,conductivity,t,Ind)*q*L; 

% postprocessing
[L S P]=LossShape([xb yb],[xb res1]);
disp(['Loss [V]:  ' num2str(L)]);
disp(['Spread [V]:  ' num2str(S)]);
disp(['Peak [V]:  ' num2str(P)]);

nk=max(abs(res1))/max(abs(yb));
plot(xb,yb*nk,xb,res1); 

n=length(xb);out(1:n,1:2)=0;
out(:,1)=xb;out(:,2)=res1;
save wake.dat out -ascii



